Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231753 (perl-DBD-Mock) - Review Request: perl-DBD-Mock - Mock database driver for testing
Summary: Review Request: perl-DBD-Mock - Mock database driver for testing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-DBD-Mock
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/DBD-Mock/
Whiteboard:
: 232614 (view as bug list)
Depends On:
Blocks: perl-Workflow
TreeView+ depends on / blocked
 
Reported: 2007-03-11 07:24 UTC by Chris Weyl
Modified: 2016-08-14 17:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 15:24:47 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-03-11 07:24:03 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-DBD-Mock-1.34-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DBD-Mock.spec

Description:
Testing with databases can be tricky. If you are developing a system
married to a single database then you can make some assumptions about your
environment and ask the user to provide relevant connection information.
But if you need to test a framework that uses DBI, particularly a framework
that uses different types of persistence schemes, then it may be more
useful to simply verify what the framework is trying to do -- ensure the
right SQL is generated and that the correct parameters are bound. DBD::Mock
makes it easy to just modify your configuration (presumably held outside
your code) and just use it instead of DBD::Foo (like DBD::Pg or DBD::mysql)
in your framework.

Comment 1 Parag AN(पराग) 2007-03-12 07:23:15 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5070cfde75059aa2273e09b39c4d2d5f  DBD-Mock-1.34.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ./Build test
t/000_basic............................ok
t/001_db_handle........................ok
t/002_dr_handle........................ok
t/003_db_can_connect...................ok
t/004_misc_mock_attr...................ok
t/005_db_parser........................ok
t/006_prepare_cached...................ok
t/007_mock_attribute_aliases...........ok
t/008_db_connect_cached................ok
t/009_info.............................ok
t/010_rollback.........................ok
t/011_st_execute_empty.................ok
t/012_st_handle........................ok
t/013_st_execute_bound_params..........ok
t/014_st_execute_pass_params...........ok
t/015_st_fetch_records.................ok
t/016_mock_add_resultset_test..........ok
t/017_st_can_connect...................ok
t/018_mock_statement_track.............ok
t/019_mock_statement_track_iterator....ok
t/020_db_pool..........................ok
t/021_DBD_Mock_Session.................ok
t/022_DBD_Mock_Session_bound_params....ok
t/023_statement_failure................ok
t/024_selcol_fetchhash.................ok
t/025_mock_last_insert_id..............ok
t/998_pod..............................ok
t/999_pod_coverage.....................ok
t/bug_0001.............................ok
All tests successful.
Files=29, Tests=572,  3 wallclock secs ( 2.16 cusr +  0.37 csys =  2.53 CPU)

+ Provides: perl(DBD::Mock) = 1.34 perl(DBD::Mock::Pool)
perl(DBD::Mock::Pool::db) perl(DBD::Mock::Session)
perl(DBD::Mock::StatementTrack) perl(DBD::Mock::StatementTrack::Iterator)
perl(DBD::Mock::db) perl(DBD::Mock::dr) perl(DBD::Mock::st)


APPROVED.


Comment 2 Parag AN(पराग) 2007-03-12 07:37:28 UTC
For F7 you should add in SPEC
%if "%fedora" >= "7"
BuildRequires:  perl-devel
%endif

Comment 3 Parag AN(पराग) 2007-03-12 07:44:23 UTC
I confused over my above comment. Not able to find in Fedora-* archive about
final decision to add above in SPEC or not?

Comment 4 Ville Skyttä 2007-03-12 07:54:20 UTC
This will be presented to the packaging committee in tomorrow's meeting:
http://www.redhat.com/archives/fedora-packaging/2007-March/msg00028.html

Comment 5 Parag AN(पराग) 2007-03-12 09:02:44 UTC
Thanks for pointing that.
So I think Reporter Can either import package as it is now or wait for final
conclusion on perl-devel issue and then import it.

Comment 6 Chris Weyl 2007-03-16 17:26:45 UTC
New Package CVS Request
=======================
Package Name: perl-DBD-Mock
Short Description: Mock database driver for testing
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 7 Chris Weyl 2007-03-17 02:04:51 UTC
*** Bug 232614 has been marked as a duplicate of this bug. ***

Comment 8 Chris Weyl 2007-03-19 15:24:47 UTC
Branched, imported and building...  Thanks for the review! :)

Comment 9 Jan Pradac 2014-01-15 13:53:41 UTC
Please request EL6 branch for perl-DBD-Mock. If you are not willing to do it I am volunteer to maintain the branch myself (FAS username pradac).

Comment 10 Lubomir Rintel 2014-01-30 10:07:38 UTC
Package Change Request
======================
Package Name: perl-DBD-Mock
New Branches: el6 epel7
Owners: pradac lkundrak

My e-mail. Adding el6 branch too, since the above comment got no response.
> Feel free to request for and maintain the EL-7 branch yourself.

Comment 11 Gwyn Ciesla 2014-01-30 12:54:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.